customer.address.delete
Delete one of the caller’s own addresses (ownership gated by customer_id).
- Scope:
customer.self.write - System: no
- Reachable from:
POST /v1/commands/customer.address.delete(tenant credential) · MCP toolcustomer.address.delete· SDKclient.call('customer.address.delete', …) - Events:
customer.updated
Input (JSON Schema)
Section titled “Input (JSON Schema)”{ "properties": { "address_id": { "minLength": 1, "type": "string" } }, "required": [ "address_id" ], "type": "object"}Result (200)
Section titled “Result (200)”{ "additionalProperties": false, "properties": { "address_id": { "type": "string" } }, "required": [ "address_id" ], "type": "object"}Errors
Section titled “Errors”validation_failed (400) · unauthorized (401) · forbidden (403) · conflict (409) · internal (500)